org.eclipse.wst.jsdt.debug.core.jsdi.event

## Interface Event

All Superinterfaces:
  Mirror

All Known Subinterfaces:
  BreakpointEvent, DebuggerStatementEvent, ExceptionEvent, LocatableEvent, ResumeEvent, ScriptLoadEvent, StepEvent, SuspendEvent, ThreadEnterEvent, ThreadExitEvent, VMDeathEvent, VMDisconnectEvent

    public interface Event
    extends Mirror

Abstract description of a JSDI event

Since:
  1.0
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`EventRequest` `request()` Returns the underlying `EventRequest`.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### request

    EventRequest request()

Returns the underlying `EventRequest`.
This method cannot return `null`

Returns:
  the underlying `EventRequest` never `null`